      module watercommon_h

      implicit none

      real, parameter :: T_coup = 234.0
      real, parameter :: To = 273.16
      real, parameter :: mH2O = 18.01528   

      ! benjamin additions
      real, parameter :: RLVTT = 2.257E+6 ! Latent heat of sublimation (J kg-1) 
      real, parameter :: RLSTT = 2.257E+6 ! 2.591E+6 in reality ! Latent heat of sublimation (J kg-1)
      !real, parameter :: RLVTT = 0.0 
      !real, parameter :: RLSTT = 0.0

      real, parameter :: RLFTT = 3.334E+5 ! Latent heat of fusion (J kg-1) 
      !real, parameter :: RLFTT = 0.0 
      real, parameter :: rhowater = 1.0E+3 ! mass of water (kg/m^3)
      real, parameter :: mx_eau_sol = 150 ! mass of water (kg/m^2)

!     This was the old Martian latent heat version:
!     lw=(2834.3-0.28*(zt(ig,l)-To)-0.004*(zt(ig,l)-To)**2)*1.e+3

      real epsi, RCPD, RCPV, RV, RVTMP2
      save epsi, RCPD, RCPV, RV, RVTMP2

      end module watercommon_h
